Subject: Re: [PATCH Linux] powerpc: add documentation for HWCAPs

From: Segher Boessenkool <[email-masked]>
Date: Tue, 24 May 2022 13:32:36 -0500

On Tue, May 24, 2022 at 11:52:00AM +0200, Florian Weimer wrote:
> * Nicholas Piggin:
> 
> > +2. Facilities
> > +-------------
> > +The Power ISA uses the term "facility" to describe a class of instructions,
> > +registers, interrupts, etc. The presence or absence of a facility indicates
> > +whether this class is available to be used, but the specifics depend on the
> > +ISA version. For example, if the VSX facility is available, the VSX
> > +instructions that can be used differ between the v3.0B and v3.1B ISA
> > +verstions.
> 
> The 2.07 ISA manual also has categories.  ISA 3.0 made a lot of things
> mandatory.  It may make sense to clarify that feature bits for mandatory
> aspects of the ISA are still set, to help with backwards compatibility.

Linux runs on ISA 1.xx and ISA 2.01 machines still.  "Category" wasn't
invented for either yet either, but similar concepts did exist of
course.

Segher